## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate sequoia-chameleon-gnupg

Name:           rust-sequoia-chameleon-gnupg
Version:        0.8.0
Release:        %autorelease
Summary:        Sequoia's reimplementation of the GnuPG interface

# * sequoia-chameleon-gnupg: GPL-3.0-or-later
# * bundled source file from libgpg-error: LGPL-2.1-or-later
License:        GPL-3.0-or-later AND LGPL-2.1-or-later
URL:            https://crates.io/crates/sequoia-chameleon-gnupg
Source0:        %{crates_source}
# wrapper script to enable working in environment where gpg == gpg-sq
Source1:        gpgconf-sq.sh
Source2:        activate.sh
# Manually created patch for downstream crate metadata changes
# * relax rusqlite dependency to allow building against v0.28
# * drop gpg-recorder executable
# * drop features for unavailable crypto backends
# * build with OpenSSL crypto backend
Patch:          sequoia-chameleon-gnupg-fix-metadata.diff
# * fix running integration tests in release mode with prebuilt executable
Patch:          0001-fix-integration-tests-for-release-mode-and-use-prebu.patch

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  /usr/bin/gpg
BuildRequires:  /usr/bin/gpgv
BuildRequires:  /usr/bin/gpgconf
BuildRequires:  /usr/bin/sq
%endif

%global _description %{expand:
Sequoia's reimplementation of the GnuPG interface.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 AND MIT
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSL-1.0
# GPL-3.0-or-later
# LGPL-2.0-or-later
# LGPL-3.0+
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-3.0-or-later AND Apache-2.0 AND BSD-3-Clause AND BSL-1.0 AND LGPL-2.0-or-later AND LGPL-3.0+ AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# includes a copy of src/err-codes.h.in from libgpg-error (unknown version)
Provides:       bundled(libgpg-error)

# the chameleon still relies on gpg-agent and gpgconf (for now)
Requires:       /usr/bin/gpg-agent
Requires:       /usr/bin/gpgconf

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc AUTHORS.GnuPG
%doc README.md
%{_bindir}/gpg-sq
%{_bindir}/gpgv-sq
%{_datadir}/%{crate}/

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install wrapper script to enable working in environment where gpg == gpg-sq
install -Dpm0644 %{SOURCE2} -T %{buildroot}/%{_datadir}/%{crate}/activate
install -Dpm0755 %{SOURCE1} -T %{buildroot}/%{_datadir}/%{crate}/shims/gpgconf
ln -s /usr/bin/gpg-sq %{buildroot}/%{_datadir}/%{crate}/shims/gpg
ln -s /usr/bin/gpg-sq %{buildroot}/%{_datadir}/%{crate}/shims/gpg2
ln -s /usr/bin/gpgv-sq %{buildroot}/%{_datadir}/%{crate}/shims/gpgv

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Apr 09 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-1
- Update to version 0.8.0; Fixes RHBZ#2274178

* Mon Mar 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2267970

* Mon Mar 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0

* Thu Feb 22 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-2
- Skip one test that only fails on i686

* Wed Feb 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-1
- Update to version 0.5.1; Fixes RHBZ#2265151

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-3
- Add wrapper script to set up a gpg-is-chameleon shell environment

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-2
- Enable the parts of the test suite that can be enabled right now

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Initial import (#2255917)
## END: Generated by rpmautospec
